import request from '@/utils/request'
// import { getToken } from '@/utils/auth'

export function getList(params) {
  return request({
    url: '/table/list',
    method: 'get',
    params
  })
}
// 获取参会人员
export function joinUser(uid) {
  return request({
    url: `/wx/joinUser`,
    method: 'get',
    params: {
      uid,
      pageNo: '',
      pageSize: '',
      taskId: ''
    }
  })
}
// 获取参会文件
export function taskFile(taskId) {
  return request({
    url: `/wx/taskFile`,
    method: 'get',
    params: {
      taskId
    }
  })
}
// 添加观看记录
export function addViewLog(fileId, taskId) {
  return request({
    url: `/wx/viewLog`,
    method: 'post',
    data: {
      fileId,
      taskId
    }
  })
}
// 观看记录列表
export function getViewLogList(pageNo, pageSize) {
  return request({
    url: `/wx/viewLog`,
    method: 'get',
    data: {
      pageNo,
      pageSize
    }
  })
}
